Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
products
/
{product_id}
/
deliverables
Admin Create Deliverable
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/products/{product_id}/deliverables/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "deliverable_type": "<string>",
      "duration_days": 2,
      "position": 0,
      "resource_id": "<string>",
      "resource_meta": {}
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "deliverable_type": "<string>",
      "duration_days": 123,
      "position": 123,
      "product_id": "<string>",
      "resource_id": "<string>",
      "resource_meta": {},
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "product_deliverables"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
product_id
string
required

Body

application/vnd.api+json
data
DeliverableCreateResource · object
required

Response

Successful Response

data
DeliverableResource · object
required